package com.sw.mes.issue.service;


import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.sw.mes.base.factory.init.dto.MachineCapacity.MachineCapacityDto;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.ResponsePage;
import com.sw.mes.issue.dao.YbIssueDao;
import com.sw.mes.issue.dto.McsYbIssueDto;
import com.sw.mes.issue.dto.YbIssueDto;
import com.sw.mes.issue.dto.YbIssueToDetailDto;
import com.sw.mes.issue.entity.YbIssue;
import org.springframework.data.domain.Pageable;

/**
* @Author
* @Description：
* @Date:
 * @Modified By:
 */
public interface YbIssueService extends BaseService<YbIssue> {
    void saveYbIssue(YbIssueDto ybIssueDto);

    ResponsePage<YbIssueDto> getPageList(String trayNo, Integer status, String startTime, String endTime, String crystalNo, Pageable pageable);


    Map<String, Object> getNo(String no);

    void updateState(YbIssueDto dto);

    void updateIssueStatus(YbIssue entity);

    void exportExcel(HttpServletRequest request, HttpServletResponse response, List<YbIssueToDetailDto> list);

    List<Map<String, Object>> queryListByParam(String trayNo, String startTime, String endTime);

    void creations(McsYbIssueDto dto);


    void updateState(String section);

}